/* ZonedButton */

#import <Cocoa/Cocoa.h>

#import <NSArrayAdditions.h>

@interface ZonedCell: NSActionCell
{
    int selectedZoneIndex;
}
- (NSArray*)zones;
- (NSImage*)normalImage;
- (NSImage*)selectionImage;

- (void)setIntValue:(int)value;
- (int)intValue;
@end

@interface ZonedControl : NSControl
{
    NSImage *original;
    NSArray *zoneRects;
}
- (void)setIntValue:(int)value;
- (int)intValue;

- (NSArray*)zones;
- (NSImage*)normalImage;
- (NSImage*)selectionImage;

@end
