//
//  BPActionsController.h
//  BuddyPop
//
//  Created by Yann Bizeul on Fri Jun 25 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#define kBPMenuDialAction 1
#define kBPMenuDialSpeakerAction 2
#define kBPMenuDialModemAction 3
#define kBPMenuOpenURLAction 4
#define kBPMenuOpenMailAction 5
#define kBPMenuCopyWithNameAction 6
#define kBPMenuStartIChatAction 7
#define kBPMenuDialHiddenAction 8
#define kBPMenuBigNumberAction 9
#define kBPMenuCopyAction 10
#define kBPMenuPluginAction 11

#define ACTION_NONE @"ACTION_NONE"

#import "BuddyPopAction.h"
@interface BPCopyAction : BuddyPopAction
- (NSString *)titleForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
- (BOOL)shouldEnableActionForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
- (void)performActionForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
@end


@interface BPActionMenu : NSMenu
{
    NSString *property;
}
- (void)setProperty:(NSString*)aProperty;
- (NSString*)property;
@end
#import "BuddyPopAction.h"

@interface BPActionsController : NSObject {
//    NSArray *loadedPlugins;
}
+ (id)sharedController;
- (id)initShared;
- (BPActionMenu*)contextualMenuForProperty:(NSString*)type;
- (BPActionMenu*)contextualMenuForProperty:(NSString*)type identifier:(NSString*)identifier;
- (BPActionMenu*)contextualMenuForProperty:(NSString*)type identifier:(NSString*)identifier hideUnavailableItems:(BOOL)flag;
- (BPActionMenu*)contextualMenuForProperty:(NSString*)type identifier:(NSString*)identifier modifiers:(int)modifiers;
- (BPActionMenu*)contextualMenuForProperty:(NSString*)type identifier:(NSString*)identifier hideUnavailableItems:(BOOL)flag modifiers:(int)modifiers;
- (void)setDefaultActionName:(NSString*)anAction forProperty:(NSString*)aProperty modifiers:(int)modifiers;
- (BuddyPopAction*)defaultActionForProperty:(NSString*)aProperty modifiers:(int)modifiers;
- (NSString*)defaultActionNameForProperty:(NSString*)aProperty modifiers:(int)modifiers;
@end

