//
//  BPButtonBar.h
//  BuddyPop
//
//  Created by Yann Bizeul on 01/03/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "RollOverButton.h"

typedef enum {
    BPButtonLeft    = 1,
    BPButtonRight   = 2
} BPButtonSide;

@interface BPButtonBar : NSView {
    NSMutableArray *leftButtons;
    NSMutableArray *rightButtons;
}
- (void)_updateButtons;
@end

@interface BPButtonBar (Public)
+ (BPButtonBar*)sharedInstance;
- (BOOL)addButton:(RollOverButton*)aButton side:(BPButtonSide)side;
- (BOOL)removeButton:(RollOverButton*)aButton;
@end

