//
//  BPLayoutController.h
//  BuddyPop
//
//  Created by Yann Bizeul on Fri Jul 02 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BPBackgroundView.h"
#import "BPHeaderView.h"
#import "BPContactInfosView.h"

@interface BPLayoutController : NSObject {
    NSColor *headBgdColor;
    NSColor *headTxtColor;
    NSColor *contBgdColor;
    NSColor *contTxtColor;
    
    BOOL resizable;
    
    IBOutlet NSTextField *input;
    IBOutlet NSTextField *count;
    IBOutlet NSWindow *window;
    
    IBOutlet id fontButton;

    NSView *resizeView;
}
+ (id)sharedController;
- (id)initShared;

//- (void)setContactHeaderView:(BPHeaderView*)aView;
//- (void)setContactInfosView:(BPContactInfosView*)aView;

- (IBAction)takeHeadBgdColorFrom:(id)sender;
- (void)setHeadBgdColor:(NSColor*)aColor;
- (NSColor*)headBgdColor;
- (IBAction)takeHeadTxtColorFrom:(id)sender;
- (void)setHeadTxtColor:(NSColor*)aColor;
- (NSColor*)headTxtColor;
- (IBAction)takeContBgdColorFrom:(id)sender;
- (void)setContBgdColor:(NSColor*)aColor;
- (NSColor*)contBgdColor;
- (IBAction)takeContTxtColorFrom:(id)sender;
- (void)setContTxtColor:(NSColor*)aColor;
- (NSColor*)contTxtColor;

- (NSColor*)darkHeadBgdColor;

- (void)setResizable:(BOOL)flag;
- (BOOL)isResizable;

@end
