#import <Cocoa/Cocoa.h>
#import "BuddyPopUI.h"
#import "Preferences.h"
#import "BuddyPopAction.h"
#import "SimpleActionView.h"
#import "SettingsView.h"
#import "BuddyPopAdditions.h"
#import "BPContact.h"
#import "BPPropertiesController.h"
#import "BPBackgroundView.h"
#import "BPLayoutController.h"

#define PluginLocalizedString(arg1,arg2) NSLocalizedStringFromTableInBundle(arg1,nil,[NSBundle bundleForClass:[self class]],arg2)

@interface BuddyPopPlugin : NSObject {

}
- (void)initializePlugin;
- (SettingsView*)settingsView;
- (void)loadSettings;
- (void)saveSettings;
- (NSString*)identifier;
- (NSString*)name;
- (NSArray*)actions;
- (NSImage*)icon;
@end
