//
//  ResizeView.h
//  BuddyPop
//
//  Created by Yann Bizeul on Mon Jul 12 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>

#define kRVNone 0
#define kRVTopLeft 1
#define kRVTopRight 2
#define kRVBottomLeft 3
#define kRVBottomRight 4

@interface ResizeView : NSView {
    NSPoint dragStartPoint;
    NSRect dragStartFrame;
    
    NSImage *cornerImage;
    
    int corner;
}
+ (id)placeOnWindow:(NSWindow*)aWindow corner:(int)corner;
- (id)initWithFrame:(NSRect)frame corner:(int)aCorner;
- (void)setCorner:(int)aCorner;
@end
