//
//  RollOverButton.h
//  BuddyPop
//
//  Created by Yann Bizeul on Fri May 21 2004.
//  Copyright (c) 2004 Tynsoe.org. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NSCursorAdditions.h"
typedef enum {
    ButtonOutsideState,
    ButtonOverState
} ButtonState;

@interface RollOverButton : NSButton {    
    NSString *caption;
    NSTrackingRectTag trackingRectTag;
    
    ButtonState state;
    BOOL option;
}
- (void)setCaption:(NSString*)aCaption;
- (NSString*)caption;
- (BOOL)option;
@end