//
//  BuddyPopABAction.h
//  BuddyPop
//
//  Created by Yann Bizeul on 28/09/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <BuddyPopPlugin/BuddyPopPlugin.h>

@interface BuddyPopABAction : BuddyPopAction {
    NSObject *action;
}
+ (id)actionWithABAction:(NSObject*)anAction;
- (id)initWithABAction:(NSObject*)anAction;

@end

@interface NSObject (ABAction)
- (NSString*)actionProperty;
- (NSString *)titleForPerson:(id)contact identifier:(NSString *)identifier;
- (void)performActionForPerson:(id)contact identifier:(NSString *)identifier;
- (BOOL)shouldEnableActionForPerson:(id)contact identifier:(NSString *)identifier;
@end