//
//  YBSMSMessage.h
//  SMS
//
//  Created by Yann Bizeul on 15/09/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "YBSMSMessage.h"

#define SMSRemainingCharacters @"SMSRemainingCharacters"
#define SMSTotalParts @"SMSTotalParts"

@interface YBOutgoingSMSMessage : YBSMSMessage {
	BOOL _statusReport;
	
	NSString *_commonPDU;
	NSArray *_PDUArray;
}
+ (YBOutgoingSMSMessage*)SMSMessageWithString:(NSString*)aString recipient:(NSString*)aRecipient;

- (YBOutgoingSMSMessage*)initWithString:(NSString*)aString recipient:(NSString*)aRecipient;

- (void)setString:(NSString*)aString;
- (void)setRecipient:(NSString*)aRecipient;
- (void)setStatusReport:(BOOL)flag;
- (BOOL)statusReport;

- (NSArray*)PDUArray;
@end
