//
//  YBSMSMessage.h
//  SMS
//
//  Created by Yann Bizeul on 15/09/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PDU.h"
#import "GSMAlphabet.h"

typedef enum
{
	ENCODING_7BIT = 0x1,
	ENCODING_UTF8 = 0x2
} EncodingType;

@interface YBSMSMessage : NSObject {
	NSString *string;
	NSString *recipient;
	BOOL _multiPart;
}
- (NSString*)string;
- (NSString*)recipient;

- (EncodingType)encoding;
- (BOOL)isMultiPart;
- (NSDictionary*)statistics;
@end
