//
//  BTPhone.h
//  BuddyPop
//
//  Created by Yann Bizeul on Mon Jul 19 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BTConnection.h"

#define BTPhoneIncomingCall @"BTPhoneIncomingCall"
#define BTPhoneNewSMS @"BTPhoneNewSMS"
#define BTPhoneSMSSentNotification @"BTPhoneSMSSentNotification"
#define BTPhoneSMSFailedNotification @"BTPhoneSMSFailedNotification"

#define BTPhoneInitialized @"BTPhoneInitialized"

@interface BTPhone : NSObject {
	NSString *name;
	
	NSMutableArray *msgs;
	BOOL CMGS;
	BOOL CMGR;

	NSMutableString *pduString;
}
+ (BTPhone*)phoneWithGMI:(NSString*)gmi GMM:(NSString*)gmm;
- (id)initWithGMM:(NSString*)gmm;
- (NSString*)name;
- (void)initialized;
- (void)stringReceived:(NSString*)string;
- (void)hangUp;
- (void)mute;
- (void)answer;
- (BOOL)supportAnswer;
- (BOOL)supportHangUp;
- (BOOL)supportMute;

- (void)sendSMS:(NSString*)message to:(NSString*)recipient;
- (void)sendNextPart;

- (void)OK;
- (void)ERROR;
- (void)INPUT;
- (void)NOCARRIER;
@end
