/* Controller */

#import <Cocoa/Cocoa.h>
#import <CoreAudio/CoreAudio.h>
#import <BuddyPopPlugin/BuddyPopPlugin.h>

@interface SpeakerPlugin : BuddyPopPlugin

@end


typedef struct MyUserInfo MyUserInfo;
struct MyUserInfo
{
	double			sampleRate;			// (Float64)
	unsigned long	bytesPerFrame;
	unsigned long	channelsPerFrame;
	unsigned long	bitsPerChannel;

	// user-variables:
	float			lastPosition;
	float			lastPosition2;
	float			frequency;
	float			frequency2;
        
	float			duration;
	float			volume;
};

@interface SpeakerDialerAction : BuddyPopAction {
	AudioDeviceID	outputDevice;
	MyUserInfo      *myUserInfo;
}

//+ (id)sharedInstance;
- (void)performActionAsynchronous:(NSString*)number;
@end


