/* BuddyPopBackgroundView */

#import <Cocoa/Cocoa.h>
#import "NSBezierPathAdditions.h"
#define kDefaultRadius 10.0

@interface BPBackgroundView : NSView
{
    NSImage *blue;
    NSColor *gradientColor;
    NSColor *bgdColor;
    
    float radius;
    float gradientHeight;
    }
- (void)remakeHeaderGradient;
- (void)remakeHeaderGradient:(float)aWidth;
- (void)setBgdColor:(NSColor*)aColor;
- (void)setGradientHeight:(float)anHeight;
- (float)gradientHeight;
- (void)setRadius:(float)aFloat;
- (float)radius;
- (BOOL)resizeable;
@end