//
//  BPContactInfosView.h
//  BuddyPop
//
//  Created by Yann Bizeul on Wed May 12 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BPPropertyView.h"
#import "BPContact.h"
#import "NSViewAdditions.h"

#define INFOSPACE 8

@interface BPContactInfosView : NSView {
    IBOutlet id *contactController;
    float pointX;
    float pointY;
    
    BPContact *contact;
    int hilightedView;
 //   BPPropertyView *hilightView;
    BPPropertyView *lastView;
	
    NSMutableArray *hiddenSubviews;
    NSView *tempView;
}
+ (BPContactInfosView*)viewForContact:(BPContact*)aContact;
//- (id)initWithContact:(BPContact*)aContact;
- (void)setContact:(BPContact*)aContact;
- (void)setTemporaryView:(NSView*)aView;
- (void)removeTemporaryView;
@end
