/* BPContactHeaderView */

#import <Cocoa/Cocoa.h>

#define kBPLeftMargin 5
#define SPACE 5

#import "BPScrollView.h"
#import "BPHeaderView.h"
#import "NSStringAdditions.h"
#import "BPContactController.h"
#import "BPContactInfosView.h"

@interface BPContactView : NSView
{
    float pointX;
    float pointY;
        
    BPContact *contact;
    BPHeaderView *headerView;
    BPScrollView *scrollView;
    NSView *dialingView;
	BPContactInfosView *contactInfosView;
	
    NSImage* image;
}
+(BPContactView*)contactViewWithContact:(BPContact*)aContact;
- (void)setContact:(BPContact*)aContact;
- (BPContactInfosView*)contactInfosView;
- (BPHeaderView*)contactHeaderView;
@end
