//
//  PropertiesController.h
//  BuddyPop
//
//  Created by Yann Bizeul on 09/09/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <AddressBook/AddressBook.h>
#import <AddressBook/ABAddressBookC.h>;

#define kBPFirstNameProperty @"First"
#define kBPMiddleNameProperty @"Middle"
#define kBPLastNameProperty @"Last"
#define kBPNicknameProperty @"Nickname"
#define kBPMaidenNameProperty @"MaidenName"
#define kBPOrganizationProperty @"Organization"
#define kBPJobTitleProperty @"JobTitle"
#define kBPDepartmentProperty @"ABDepartment"
#define kBPPhoneProperty @"Phone"
#define kBPEmailProperty @"Email"
#define kBPHomePageProperty @"HomePage"
#define kBPURLsProperty @"URLs"
#define kBPAddressProperty @"Address"
#define kBPNoteProperty @"Note"
#define kBPBirthdayProperty @"Birthday"
#define kBPOtherDatesProperty @"ABDate"
#define kBPRelatedNamesProperty @"ABRelatedNames"
#define kBPAIMInstantProperty @"AIMInstant"
#define kBPICQInstantProperty @"ICQInstant"
#define kBPYahooInstantProperty @"YahooInstant"
#define kBPMSNInstantProperty @"MSNInstant"
#define kBPJabberInstantProperty @"JabberInstant"

@interface PropertiesController : NSObject {
    NSArray *fields;
	
	IBOutlet id tableView;
}
+ (BOOL)shouldShowProperty:(NSString*)aProperty;
+ (NSString*)localizedPropertyName:(NSString*)aProperty;
+ (NSArray*)displayedLabels;
+ (NSArray*)searchedLabels;

@end
