//
//  BPPropertyView.h
//  BuddyPop
//
//  Created by Yann Bizeul on Thu May 13 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BPContact.h"
#import "NSBezierPathAdditions.h"
#define hilightRadius 7

#define kBPMenuDialAction 1
#define kBPMenuDialSpeakerAction 2
#define kBPMenuDialModemAction 3
#define kBPMenuOpenURLAction 4
#define kBPMenuOpenMailAction 5
#define kBPMenuCopyWithNameAction 6
#define kBPMenuStartIChatAction 7
#define kBPMenuCopyActionName @"ActionCopy"

@interface BPPropertyView : NSView {
    NSString *label;
    NSString *value;
    NSString *identifier;
    NSString *altValue;
    NSString *type;
    BPContact *contact;
    BOOL lineBreak;
    
    NSLayoutManager *layoutManager;
	NSTextStorage *textStorage;
    NSLayoutManager *layoutManager2;
	NSTextStorage *textStorage2;
/*
 NSDictionary *attrLabel;
    NSDictionary *attrValue;
    NSDictionary *attrValueHilight;
   */
//    int defaultAction;
    
    BOOL hilight;
    
    NSRect trackingRect;
}
+ (BPPropertyView*)propertyViewWithLabel:(NSString*)aLabel value:(NSString*)aValue type:(NSString*)aType contact:(BPContact*)aContact;
+ (BPPropertyView*)propertyViewWithLabel:(NSString*)aLabel value:(NSString*)aValue type:(NSString*)aType contact:(BPContact*)aContact identifier: (NSString*)anIdentifier lineBreak:(BOOL)flag;
    //+ (BOOL)shouldRedraw;
//+ (void)setShouldRedraw:(BOOL)flag;
+ (void)setBiggestLabelSize:(float)aFloat;
- (id)initWithLabel:(NSString*)aLabel value:(NSString*)aValue type:(NSString*)aType contact:(BPContact*)aContact identifier:(NSString*)anIdentifier lineBreak:(BOOL)flag;
- (void)updateLayoutManager;
- (float)layoutManagerHeight;
- (float)layoutManagerHeight2;
- (NSSize)layoutManagerSize;
- (NSSize)layoutManagerSize2;
- (void)setAltValue:(NSString*)aValue;
- (BOOL)testHilight:(NSPoint)aPoint;
- (void)setHilight:(BOOL)flag scroll:(BOOL)scroll;
- (void)defaultAction;
- (NSString*)value;
- (NSString*)type;
@end
