//
//  BuddyPopAction.h
//  BuddyPop
//
//  Created by Yann Bizeul on 23/09/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BuddyPopAction : NSObject {
    NSThread *thread;
    BOOL CANCEL;
}
+ (id)action;
- (NSString*)name;
- (BOOL)handleProperty:(NSString*)aProperty;
- (NSArray*)actionProperties;

- (NSString *)titleForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
- (BOOL)shouldEnableActionForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
- (void)performActionForPerson:(id)contact property:(NSString*)aProperty identifier:(NSString *)identifier;
- (NSString *)titleForPerson:(id)contact identifier:(NSString *)identifier;
- (BOOL)shouldEnableActionForPerson:(id)contact identifier:(NSString *)identifier;
- (void)performActionForPerson:(id)contact identifier:(NSString *)identifier;

- (void)cancel;
@end
