//
//  PluginsController.h
//  BuddyPop
//
//  Created by Yann Bizeul on 27/09/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BuddyPopAction.h"
#import "BuddyPopPlugin.h"

@interface PluginsController : NSObject {
    NSMutableArray *pluginsArray;
    NSMutableArray *actionsArray;
}
+ (PluginsController*)sharedController;
- (id)initShared;
- (void)loadPlugins;

- (NSArray*)pluginsWithSettings;

- (NSEnumerator*)actionsEnumerator;
- (NSArray*)allActions;
- (BuddyPopAction*)actionWithName:(NSString*)aName;

- (void)notifyPreferencesWillOpen;
- (void)notifyPreferencesWillClose;

@end
